package com.develop.step.ui.cook_step.model

import com.develop.common.data_repo.db.entity.DevRecipeCookingStep


class CookStepStatus(
    val workMode: String,
    val source: DevRecipeCookingStep,
) {
    var hasStarted = false
    var hasComplete = false
    val uiData = CookStepUiData()

    fun isWeightMode(): Boolean {
        return workMode == "WIGHT" || workMode == "WEIGH" || workMode == "WEIGHT"
    }

    fun isTurboMode(): Boolean {
        return workMode == "TURBO"
    }

    fun isDescription():Boolean {
        return  workMode == "DESCRIPTION";
    }

    fun isManualStep(): Boolean {
        return isWeightMode() || isTurboMode()
    }
}